ceph module missing from virtual kernel

Bug #622953 reported by Clint Byrum
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

See attached apport bugreport file for more information.

While testing for CEPH functionality for Maverick, I found that the latest kernel on EC2 doesn't have ceph.

linux-image-2.6.35-15-virtual

Seems like the maverick generic kernels have it, but not the specific virtual kernel that is on our current maverick AMI's

$ find /lib/modules -name '*ceph*'
/lib/modules/2.6.34-4-generic/kernel/fs/ceph
/lib/modules/2.6.34-4-generic/kernel/fs/ceph/ceph.ko
/lib/modules/2.6.35-16-generic/kernel/fs/ceph
/lib/modules/2.6.35-16-generic/kernel/fs/ceph/ceph.ko
/lib/modules/2.6.35-13-generic/kernel/fs/ceph
/lib/modules/2.6.35-13-generic/kernel/fs/ceph/ceph.ko

$ ls -l /lib/modules
total 16
drwxr-xr-x 5 root root 4096 2010-05-28 11:22 2.6.32-21-generic
drwxr-xr-x 4 root root 4096 2010-05-28 12:25 2.6.34-4-generic
drwxr-xr-x 4 root root 4096 2010-08-12 13:22 2.6.35-13-generic
drwxr-xr-x 4 root root 4096 2010-08-20 12:45 2.6.35-16-generic

Revision history for this message
Clint Byrum (clint-fewbar) wrote :
Changed in linux (Ubuntu):
milestone: none → ubuntu-10.10-beta
Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Please note that this is related to completion of the objectives in the following maverick blueprint:

https://blueprints.launchpad.net/ubuntu/+spec/server-maverick-cloud-gluster

Revision history for this message
Clint Byrum (clint-fewbar) wrote :

Note I just tried on a newer AMI, which has 2.6.35-17-virtual, and the ceph module is still missing.

Revision history for this message
Clint Byrum (clint-fewbar) wrote :

I just checked, 2.6.35-19-virtual has ceph enabled

closing the bug with a Fix Released status.

Changed in linux (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Related questions